Skip to main content
POST
/
api
/
video
/
streams
Create a Business+ HLS/DASH video stream
curl --request POST \
  --url https://convertly.sh/api/video/streams \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceFileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "stream": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "playbackId": "<string>",
    "profile": "<string>",
    "duration": 123,
    "width": 123,
    "height": 123,
    "manifestUrl": "<string>",
    "posterUrl": "<string>",
    "renditions": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "width": 123,
        "height": 123,
        "bitrate": 123,
        "averageBitrate": 123,
        "codec": "h264",
        "audioCodec": "aac",
        "segmentCount": 123
      }
    ],
    "error": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "readyAt": "2023-11-07T05:31:56Z",
    "packageFormats": [],
    "hlsManifestUrl": "<string>",
    "dashManifestUrl": "<string>",
    "tokenTtlSeconds": 123,
    "allowedDomains": [
      "<string>"
    ],
    "captions": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "label": "<string>",
        "language": "<string>",
        "url": "<string>"
      }
    ],
    "analytics": {
      "events": 123,
      "plays": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Body

application/json
sourceFileId
string<uuid>
required

Stored video file id from Convertly Storage.

profile
enum<string>
default:standard
Available options:
basic,
standard,
hd,
source_max,
custom
renditions
object[]

Required when profile is custom.

segmentDuration
integer
default:6
Required range: 2 <= x <= 12
access
enum<string>
default:signed
Available options:
public,
signed
clip
object
packageFormats
enum<string>[]

Packaging formats to generate. Include dash for DASH/CMAF output.

Required array length: 1 - 2 elements
Available options:
hls,
dash
tokenTtlSeconds
integer
default:3600
Required range: 300 <= x <= 86400
allowedDomains
string[]

Optional playback domain allowlist.

Maximum array length: 25
captions
object[]
Maximum array length: 20

Response

Video stream accepted for processing

stream
object